summaryrefslogtreecommitdiff
path: root/dev-python/python-systemd/python-systemd-232.ebuild
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2016-09-24 10:08:06 -0400
committerMike Gilbert <floppym@gentoo.org>2016-09-24 10:11:33 -0400
commit7d1d316ce9552c6388a91e98a817aa2b522a615d (patch)
treee142f51393484b0112f1116c7841e50fb73c0198 /dev-python/python-systemd/python-systemd-232.ebuild
parentb37736d745e1ea1bf0e0bc10917dc6f84b21dbe0 (diff)
downloadgentoo-7d1d316ce9552c6388a91e98a817aa2b522a615d.tar.gz
gentoo-7d1d316ce9552c6388a91e98a817aa2b522a615d.tar.bz2
gentoo-7d1d316ce9552c6388a91e98a817aa2b522a615d.zip
dev-python/python-systemd: bump to 232
Package-Manager: portage-2.3.1_p4
Diffstat (limited to 'dev-python/python-systemd/python-systemd-232.ebuild')
-rw-r--r--dev-python/python-systemd/python-systemd-232.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/python-systemd/python-systemd-232.ebuild b/dev-python/python-systemd/python-systemd-232.ebuild
new file mode 100644
index 0000000000000..1a7fad58a80ef
--- /dev/null
+++ b/dev-python/python-systemd/python-systemd-232.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for native access to the systemd facilities"
+HOMEPAGE="https://github.com/systemd/python-systemd"
+SRC_URI="https://github.com/systemd/python-systemd/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+
+COMMON_DEPEND="
+ sys-apps/systemd:0=
+"
+DEPEND="${COMMON_DEPEND}
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+RDEPEND="${COMMON_DEPEND}
+ !sys-apps/systemd[python(-)]
+"
+
+PATCHES=(
+ "${FILESDIR}"/232-0001-tests-skip-fdstore-tests-if-not-implemented.patch
+ "${FILESDIR}"/232-0002-docs-fix-sphinx-format-warning.patch
+ "${FILESDIR}"/232-0003-build-sys-add-doc-sync-target.patch
+ "${FILESDIR}"/232-0004-tests-add-workaround-for-pre-232-system-returning-EI.patch
+ "${FILESDIR}"/232-0005-_reader-use-proper-ifdef-guard-for-sd_j_open_files_f.patch
+ "${FILESDIR}"/232-0006-build-sys-import-pytest-instead-of-py.test.patch
+)
+
+python_test() {
+ pushd "${BUILD_DIR}/lib" > /dev/null || die
+ "${PYTHON}" -m pytest -v . || die
+ popd > /dev/null || die
+}